Get Order Status
curl --request GET \
--url https://api.zenflow.com.ar/api/v1/orders/{id}/status \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.zenflow.com.ar/api/v1/orders/{id}/status"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.zenflow.com.ar/api/v1/orders/{id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"order_id": 123,
"external_id": "<string>",
"state_id": 123,
"state_picking_id": 123,
"updated_at": "<string>"
}
}Orders
Get Order Status
Get the current status of an order
GET
/
api
/
v1
/
orders
/
{id}
/
status
Get Order Status
Get Order Status
Retrieve the current status of an order.Requires
read:orders scope.Request
GET /api/v1/orders/{id}/status
Path Parameters
integer
required
The order ID
Response
boolean
Whether the request was successful
object
Example
curl -X GET "https://api.zenflow.com.ar/api/v1/orders/12345/status" \
-H "X-API-Key: zenflow_live_your_key"
const response = await fetch(
"https://api.zenflow.com.ar/api/v1/orders/12345/status",
{
headers: { "X-API-Key": "zenflow_live_your_key" },
}
);
const data = await response.json();
import requests
response = requests.get(
'https://api.zenflow.com.ar/api/v1/orders/12345/status',
headers={'X-API-Key': 'zenflow_live_your_key'}
)
Response
{
"success": true,
"data": {
"order_id": 12345,
"external_id": "ORD-001",
"state_id": 2,
"state_picking_id": 1,
"updated_at": "2024-01-14T15:30:00Z"
}
}
Order States
| State ID | Name | Description |
|---|---|---|
| 1 | Pending | Order received, awaiting processing |
| 2 | In Progress | Order is being picked |
| 3 | Packed | Order is packed and ready |
| 4 | Completed | Order shipped |
| 5 | Cancelled | Order was cancelled |
⌘I

